Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.config
Class CacheLoaderConfig

    java.lang.Object
      org.jboss.cache.config.CacheLoaderConfig

    public class CacheLoaderConfig

extends java.lang.Object

Holds the configuration of the cache loader chain. ALL cache loaders should be defined using this class, adding individual cache loaders to the chain by calling `addIndividualCacheLoaderConfig(org.jboss.cache.config.CacheLoaderConfig.IndividualCacheLoaderConfig)`

Author:
  Manik Surtani (manik@jboss.org)

Nested Class Summary
`static class` | `CacheLoaderConfig.IndividualCacheLoaderConfig` Configuration object that holds the confguration of an individual cache loader.

Constructor Summary
`CacheLoaderConfig()`

Method Summary
`void` | `addIndividualCacheLoaderConfig(CacheLoaderConfig.IndividualCacheLoaderConfig clc)`
`CacheLoaderConfig.IndividualCacheLoaderConfig` | `getFirstCacheLoaderConfig()`
`java.util.List` | `getIndividualCacheLoaderConfigs()`
`java.lang.String` | `getPreload()`
`boolean` | `isPassivation()`
`boolean` | `isShared()`
`void` | `setPassivation(boolean passivation)`
`void` | `setPreload(java.lang.String preload)`
`void` | `setShared(boolean shared)`
`java.lang.String` | `toString()`
`boolean` | `useChainingCacheLoader()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheLoaderConfig

    public CacheLoaderConfig()

Method Detail

### getPreload

    public java.lang.String getPreload()

### setPreload

    public void setPreload(java.lang.String preload)

### setPassivation

    public void setPassivation(boolean passivation)

### isPassivation

    public boolean isPassivation()

### addIndividualCacheLoaderConfig

    public void addIndividualCacheLoaderConfig(CacheLoaderConfig.IndividualCacheLoaderConfig clc)

### getIndividualCacheLoaderConfigs

    public java.util.List getIndividualCacheLoaderConfigs()

### getFirstCacheLoaderConfig

    public CacheLoaderConfig.IndividualCacheLoaderConfig getFirstCacheLoaderConfig()

### useChainingCacheLoader

    public boolean useChainingCacheLoader()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setShared

    public void setShared(boolean shared)

### isShared

    public boolean isShared()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.